Package uk.ac.starlink.topcat

# Class BasicStiltsMonitor

java.lang.Object
uk.ac.starlink.topcat.StiltsMonitor<BasicStiltsMonitor.BasicState>
uk.ac.starlink.topcat.BasicStiltsMonitor

public class BasicStiltsMonitor extends StiltsMonitor<BasicStiltsMonitor.BasicState>
StiltsMonitor concrete subclass for STILTS commands without special requirements.

Since:
  10 Oct 2024
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BasicStiltsMonitor.BasicState`
Concrete state class for the BasicStiltsMonitor.

## Nested classes/interfaces inherited from class uk.ac.starlink.topcat.StiltsMonitor

`StiltsMonitor.State`

## Constructor Summary

Constructors
Constructor
Description
`BasicStiltsMonitor()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(uk.ac.starlink.ttools.task.StiltsCommand command, uk.ac.starlink.ttools.task.CommandFormatter formatter)`
Configures this monitor with a given command and formatter.
`protected BasicStiltsMonitor.BasicState`
`createState()`
Returns a state object describing the content that should be displayed in this monitor.

### Methods inherited from class uk.ac.starlink.topcat.StiltsMonitor

`createErrorDisplay, getClipboardAction, getErrorAction, getState, getTextPanel, getWidthCharacters, resetState, wrapTextPanel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicStiltsMonitor

public BasicStiltsMonitor()
Constructor.

## Method Details

### createState

protected BasicStiltsMonitor.BasicState createState()
Description copied from class: `StiltsMonitor`
Returns a state object describing the content that should be displayed in this monitor.

Specified by:
  `createState` in class `StiltsMonitor<BasicStiltsMonitor.BasicState>`
Returns:
  new state

### configure

public void configure(uk.ac.starlink.ttools.task.StiltsCommand command, uk.ac.starlink.ttools.task.CommandFormatter formatter)
Configures this monitor with a given command and formatter.

Parameters:
  `command` - stilts command
  `formatter` - formatting details